Subject: Re: bug#59404: 29.0.50; Init-debug error when package-vc-install package and run older emacs

From: Feng Shu <[email-masked]>
Date: Tue, 22 Nov 2022 08:24:47 +0800

Philip Kaludercic <[email-masked]> writes:

> Feng Shu <[email-masked]> writes:
>
>> When I package-vc-install corfu-terminal and run an older version
>> emacs
>
> Does the following fix the issue for you:

I have tested and find that when I install this patch and reinstall
popon and corfu-terminal,

1. *Packages* buffer do not show packages installed by
package-vc-install
2. package-update, package-delete do not show packages installed by
package-vc-install.
3. restart emacs has not effect.

>
>
>
> Note that this requires re-installing the VC packages to make sure the
> -pkg.el files are regenerated.
>

--